Skip to content

Number Settings

All operations require authentication.

46 operationsv1/telephony/aliases · /telephony/{billingAccount}
View as Markdown (opens in a new tab)
Agent setup

List numbersProduction

GET
/v1/telephony/aliases

List numbers. Returns the numbers of the customer, across all billing accounts. Get a number service for its billing account and settings.

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v1/telephony/aliases \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a number serviceProduction

GET
/v1/telephony/aliases/{serviceName}

Get a number service. Returns the number service, without its billing account. Use it to find a number across all billing accounts.

Path parameters

serviceName
required
string

Your line number

Response

200TelephonyGenericServiceWithIAMsuccessful operation
iam
read-only
ResourceMetadata

IAM resource metadata

serviceName
read-only
string
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/aliases/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "serviceName": "string"}

Change service contactsProduction

POST
/v1/telephony/aliases/{serviceName}/changeContact

Change service contacts. Starts a procedure to change the admin, tech or billing contact of the service.

Path parameters

serviceName
required
string

Your line number

Request body (required)

contactAdmin
string

The contact to set as admin contact

contactBilling
string

The contact to set as billing contact

contactTech
string

The contact to set as tech contact

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/aliases/{serviceName}/changeContact \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get service informationProduction

GET
/v1/telephony/aliases/{serviceName}/serviceInfos

Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.

Path parameters

serviceName
required
string

Your line number

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/aliases/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Update service informationProduction

PUT
/v1/telephony/aliases/{serviceName}/serviceInfos

Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.

Path parameters

serviceName
required
string

Your line number

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/aliases/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"

Check for special numbersProduction

GET
/v1/telephony/{billingAccount}/hasSpecialNumbers

Check for special numbers. Returns true when the billing account has at least one special number, such as a premium rate number.

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200booleansuccessful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/hasSpecialNumbers \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
true

List numbersProduction

GET
/v1/telephony/{billingAccount}/number

List numbers. Returns the numbers of the billing account. A number has no phone: it routes incoming calls with a feature.

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200string[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/number \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a numberProduction

GET
/v1/telephony/{billingAccount}/number/{serviceName}

Get a number. Returns the number: feature type, description, service type, and the pool it belongs to if it is part of one.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string

Name of the service

Response

200Numbersuccessful operation
description
string

Description of the service

featureType
read-only
TypeEnum

Feature enabled on the number

ValuesaiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxml
partOfPool
read-only
string

Parent of the service (if it is part of a pool)

serviceName
read-only
string

Name of the service

serviceType
read-only
TypeServiceEnum

All existing types

Valuesaliasline

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/number/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "description": "string", "featureType": "aiAgent", "partOfPool": "string", "serviceName": "string", "serviceType": "alias"}

Update a numberProduction

PUT
/v1/telephony/{billingAccount}/number/{serviceName}

Update a number. Updates the description of the number. The feature type is changed with the changeFeatureType call.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string

Name of the service

Request body (required)

description
string

Description of the service

featureType
read-only
TypeEnum

Feature enabled on the number

ValuesaiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxml
partOfPool
read-only
string

Parent of the service (if it is part of a pool)

serviceName
read-only
string

Name of the service

serviceType
read-only
TypeServiceEnum

All existing types

Valuesaliasline

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/number/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"

Cancel a scheduled conversion to lineProduction

POST
/v1/telephony/{billingAccount}/number/{serviceName}/cancelConvertToLine

Cancel a scheduled conversion to line. Cancels the scheduled conversion of the number to a line. The number keeps its current feature.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string

Name of the service

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/number/{serviceName}/cancelConvertToLine \
  -H "authorization: Bearer $OVH_TOKEN"

Change the number feature typeProduction

POST
/v1/telephony/{billingAccount}/number/{serviceName}/changeFeatureType

Change the number feature type. Changes the feature of the number, such as redirect, conference, contact center or PBX. The previous configuration is lost.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string

Name of the service

Request body (required)

featureType
required
TypeEnum

The new feature of the number

ValuesaiAgentcarrierSipcloudHuntingcloudIvrconferencecontactCenterSolutioncontactCenterSolutionExpertddieasyHuntingemptyfaxfreefaxmgcpoldConferenceplugAndFaxredirectsipsvivoicefaxvoicemailvxml

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/number/{serviceName}/changeFeatureType \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

Schedule a conversion to lineProduction

POST
/v1/telephony/{billingAccount}/number/{serviceName}/convertToLine

Schedule a conversion to line. Schedules the conversion of the number to a line with a phone. Returns the offer task.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string

Name of the service

Request body (required)

offer
required
string

The future offer of the converted number

Response

200OfferTasksuccessful operation
action
read-only
OfferTaskActionEnum

Actual action that will be executed

ValuesconvertToAliasconvertToSipmigrateToNewVoicemailremoveSimltaneousLinesswitchServerterminationupdateFirmwareupgrade
executionDate
stringdate-time

Planned execution date

status
read-only
TaskStatusEnum

Current status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—
type
read-only
OfferTaskTypeEnum

Type of operation that will be executed

Valueslineofferoptionphone

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/number/{serviceName}/convertToLine \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "convertToAlias", "executionDate": "2024-01-01T12:00:00Z", "status": "doing", "taskId": 0, "type": "line"}

List line offers for conversionProduction

GET
/v1/telephony/{billingAccount}/number/{serviceName}/convertToLineAvailableOffers

List line offers for conversion. Returns the line offers and contracts available to convert the number to a line.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string

Name of the service

Response

200LineOffersAndContractssuccessful operation
contracts
Contract[]

Informations related to a line contracts

offers
LineOffer[]

Informations related to a line offer

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/number/{serviceName}/convertToLineAvailableOffers \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "contracts": [ { "content": "string", "name": "string", "url": "string" } ], "offers": [ { "description": "string", "name": "string", "price": { "currencyCode": "AUD", "text": "string", "value": 0 } } ]}

List premium rate numbersProduction

GET
/v1/telephony/{billingAccount}/rsva

List premium rate numbers. Returns the premium rate numbers of the billing account, subject to the French RSVA rules.

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200string[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/rsva \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a premium rate numberProduction

GET
/v1/telephony/{billingAccount}/rsva/{serviceName}

Get a premium rate number. Returns the premium rate number (French SVA numbers subject to the RSVA reform) and its typology, the category of the service.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200Rsvasuccessful operation
serviceName
read-only
string
—
typology
SpecialNumberCategoryEnum

Special number category

ValuesaccessannouncedconferencingcontentsAutocontentsManualdirectorygameslinkingm2mrelationship

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/rsva/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "serviceName": "string", "typology": "access"}

Update a premium rate numberProduction

PUT
/v1/telephony/{billingAccount}/rsva/{serviceName}

Update a premium rate number. Updates the typology of the premium rate number, such as relationship, contents, games, directory or conferencing.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

serviceName
read-only
string
—
typology
SpecialNumberCategoryEnum

Special number category

ValuesaccessannouncedconferencingcontentsAutocontentsManualdirectorygameslinkingm2mrelationship

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/rsva/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"

List allowed rate codesProduction

GET
/v1/telephony/{billingAccount}/rsva/{serviceName}/allowedRateCodes

List allowed rate codes. Returns the rate codes the premium rate number can use, with the price per minute and per call without tax of each.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200RateCodeInformation[]successful operation
code
string

The Rsva rate code

pricePerCallWithoutTax
Price

Price per call

pricePerMinuteWithoutTax
Price

Price per minute

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/rsva/{serviceName}/allowedRateCodes \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "code": "string", "pricePerCallWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "pricePerMinuteWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 } }]

Cancel the scheduled rate codeProduction

POST
/v1/telephony/{billingAccount}/rsva/{serviceName}/cancelScheduledRateCode

Cancel the scheduled rate code. Cancels the scheduled change of rate code. It must be done before the cancellation limit date of the scheduled rate code.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/rsva/{serviceName}/cancelScheduledRateCode \
  -H "authorization: Bearer $OVH_TOKEN"

Get the current rate codeProduction

GET
/v1/telephony/{billingAccount}/rsva/{serviceName}/currentRateCode

Get the current rate code. Returns the rate code currently applied to the premium rate number, with its prices and repayment prices without tax.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200DetailedRateCodeInformationsuccessful operation
cancelLimitDatetime
stringdate-time

Cancelable datetime deadline for the new scheduled rateCode

effectiveDatetime
stringdate-time

Effective datetime

pricePerCallWithoutTax
Price

Price per call

pricePerMinuteWithoutTax
Price

Price in minute

rateCode
string

Scheduled rate code

repaymentPricePerCallWithoutTax
Price

Repayment per call

repaymentPricePerMinuteWithoutTax
Price

Repayment per minute

updateRateCodePriceWithoutTax
Price

Fees concerning rateCode update

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/rsva/{serviceName}/currentRateCode \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "cancelLimitDatetime": "2024-01-01T12:00:00Z", "effectiveDatetime": "2024-01-01T12:00:00Z", "pricePerCallWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "pricePerMinuteWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "rateCode": "string", "repaymentPricePerCallWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "repaymentPricePerMinuteWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "updateRateCodePriceWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }}

Schedule a rate codeProduction

POST
/v1/telephony/{billingAccount}/rsva/{serviceName}/scheduleRateCode

Schedule a rate code. Schedules a new rate code for the premium rate number. Returns the rate code with its effective date and the price of the change.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

rateCode
required
string

The specified rate code

Response

200DetailedRateCodeInformationsuccessful operation
cancelLimitDatetime
stringdate-time

Cancelable datetime deadline for the new scheduled rateCode

effectiveDatetime
stringdate-time

Effective datetime

pricePerCallWithoutTax
Price

Price per call

pricePerMinuteWithoutTax
Price

Price in minute

rateCode
string

Scheduled rate code

repaymentPricePerCallWithoutTax
Price

Repayment per call

repaymentPricePerMinuteWithoutTax
Price

Repayment per minute

updateRateCodePriceWithoutTax
Price

Fees concerning rateCode update

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/rsva/{serviceName}/scheduleRateCode \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "cancelLimitDatetime": "2024-01-01T12:00:00Z", "effectiveDatetime": "2024-01-01T12:00:00Z", "pricePerCallWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "pricePerMinuteWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "rateCode": "string", "repaymentPricePerCallWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "repaymentPricePerMinuteWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "updateRateCodePriceWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }}

Get the scheduled rate codeProduction

GET
/v1/telephony/{billingAccount}/rsva/{serviceName}/scheduledRateCode

Get the scheduled rate code. Returns the rate code scheduled for the premium rate number, with its effective date and the date until which it can be cancelled.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200DetailedRateCodeInformationsuccessful operation
cancelLimitDatetime
stringdate-time

Cancelable datetime deadline for the new scheduled rateCode

effectiveDatetime
stringdate-time

Effective datetime

pricePerCallWithoutTax
Price

Price per call

pricePerMinuteWithoutTax
Price

Price in minute

rateCode
string

Scheduled rate code

repaymentPricePerCallWithoutTax
Price

Repayment per call

repaymentPricePerMinuteWithoutTax
Price

Repayment per minute

updateRateCodePriceWithoutTax
Price

Fees concerning rateCode update

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/rsva/{serviceName}/scheduledRateCode \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "cancelLimitDatetime": "2024-01-01T12:00:00Z", "effectiveDatetime": "2024-01-01T12:00:00Z", "pricePerCallWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "pricePerMinuteWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "rateCode": "string", "repaymentPricePerCallWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "repaymentPricePerMinuteWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }, "updateRateCodePriceWithoutTax": { "currencyCode": "AUD", "text": "string", "value": 0 }}

List schedulersProduction

GET
/v1/telephony/{billingAccount}/scheduler

List schedulers. Returns the services of the billing account that have a scheduler. A scheduler holds calendar events, such as closing days.

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200string[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/scheduler \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a schedulerProduction

GET
/v1/telephony/{billingAccount}/scheduler/{serviceName}

Get a scheduler. Returns the scheduler of the service and its timezone. The scheduler holds calendar events, such as closing days.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200Schedulersuccessful operation
serviceName
read-only
string
—
timeZone
timeZone

Time zones available for scheduled events time definitions

ValuesEurope/BerlinEurope/BrusselsEurope/LondonEurope/MadridEurope/ParisEurope/Zurich

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/scheduler/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "serviceName": "string", "timeZone": "Europe/Berlin"}

Update a schedulerProduction

PUT
/v1/telephony/{billingAccount}/scheduler/{serviceName}

Update a scheduler. Updates the scheduler of the service. Only its timezone can be changed, the events are managed separately.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

serviceName
read-only
string
—
timeZone
timeZone

Time zones available for scheduled events time definitions

ValuesEurope/BerlinEurope/BrusselsEurope/LondonEurope/MadridEurope/ParisEurope/Zurich

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/scheduler/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"

List scheduler eventsProduction

GET
/v1/telephony/{billingAccount}/scheduler/{serviceName}/events

List scheduler events. Returns the identifiers of the events of the scheduler. Get an event for its dates, category and description.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Query parameters

categories
SchedulerCategoryEnum

Filter the value of categories property (=)

Valuesholidaysscheduler1scheduler2scheduler3
dateEnd.from
stringdate-time

Filter the value of dateEnd property (>=)

dateEnd.to
stringdate-time

Filter the value of dateEnd property (<=)

dateStart.from
stringdate-time

Filter the value of dateStart property (>=)

dateStart.to
stringdate-time

Filter the value of dateStart property (<=)

Response

200string[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/scheduler/{serviceName}/events \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a scheduler eventProduction

GET
/v1/telephony/{billingAccount}/scheduler/{serviceName}/events/{uid}

Get a scheduler event. Returns the scheduler event: title, description, start and end dates, and category.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—
uid
required
string

The unique ICS event identifier

Response

200SchedulerEventsuccessful operation
categories
SchedulerCategoryEnum

The category of the event

Valuesholidaysscheduler1scheduler2scheduler3
dateEnd
stringdate-time

The ending date of the event

dateStart
stringdate-time

The beginning date of the event

description
string
—
title
string
—
uid
read-only
string

The unique ICS event identifier

Example uses billingAccount = string, serviceName = string, uid = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/scheduler/{serviceName}/events/{uid} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "categories": "holidays", "dateEnd": "2024-01-01T12:00:00Z", "dateStart": "2024-01-01T12:00:00Z", "description": "string", "title": "string", "uid": "string"}

Create a scheduler eventProduction

POST
/v1/telephony/{billingAccount}/scheduler/{serviceName}/events

Create a scheduler event. Creates an event in the scheduler, such as a closing day, with a title, start and end dates and a category (holidays or scheduler1 to scheduler3).

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

category
required
SchedulerCategoryEnum

The category of the event

Valuesholidaysscheduler1scheduler2scheduler3
dateEnd
required
stringdate-time

The ending date of the event

dateStart
required
stringdate-time

The beginning date of the event

description
string

The descritpion of the event

title
required
string

The title of the event

uid
string

The unique ICS event identifier

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/scheduler/{serviceName}/events \
  -H "authorization: Bearer $OVH_TOKEN"

Delete a scheduler eventProduction

DELETE
/v1/telephony/{billingAccount}/scheduler/{serviceName}/events/{uid}

Delete a scheduler event. Deletes the scheduler event. It no longer applies to the calls of the service.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—
uid
required
string

The unique ICS event identifier

Response

200—successful operation

Example uses billingAccount = string, serviceName = string, uid = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/scheduler/{serviceName}/events/{uid} \
  -H "authorization: Bearer $OVH_TOKEN"

Update a scheduler eventProduction

PUT
/v1/telephony/{billingAccount}/scheduler/{serviceName}/events/{uid}

Update a scheduler event. Updates the scheduler event: title, description, start and end dates, and category.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—
uid
required
string

The unique ICS event identifier

Request body (required)

categories
SchedulerCategoryEnum

The category of the event

Valuesholidaysscheduler1scheduler2scheduler3
dateEnd
stringdate-time

The ending date of the event

dateStart
stringdate-time

The beginning date of the event

description
string
—
title
string
—
uid
read-only
string

The unique ICS event identifier

Response

200—successful operation

Example uses billingAccount = string, serviceName = string, uid = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/scheduler/{serviceName}/events/{uid} \
  -H "authorization: Bearer $OVH_TOKEN"

Import an ICS calendarProduction

POST
/v1/telephony/{billingAccount}/scheduler/{serviceName}/importIcsCalendar

Import an ICS calendar. Imports scheduler events from a calendar file in ICS format, given by its URL. Returns the task that performs the import.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

url
required
string

The URL of your ICS formated calendar

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/scheduler/{serviceName}/importIcsCalendar \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

List call filtering servicesProduction

GET
/v1/telephony/{billingAccount}/screen

List call filtering services. Returns the services of the billing account that support call filtering with allowed or blocked numbers.

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200string[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/screen \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get call filtering settingsProduction

GET
/v1/telephony/{billingAccount}/screen/{serviceName}

Get call filtering settings. Returns the call filtering settings of the service: incoming and outgoing filtering mode.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200Screensuccessful operation
incomingScreenList
ScreenListChoosingEnum

Type of screen list

Valuesblacklistdisabledwhitelist
outgoingScreenList
ScreenListChoosingEnum

Type of screen list

Valuesblacklistdisabledwhitelist
serviceName
read-only
string
—

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/screen/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "incomingScreenList": "blacklist", "outgoingScreenList": "blacklist", "serviceName": "string"}

Update call filtering settingsProduction

PUT
/v1/telephony/{billingAccount}/screen/{serviceName}

Update call filtering settings. Updates the incoming and outgoing filtering mode of the service: whitelist, blacklist or disabled.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

incomingScreenList
ScreenListChoosingEnum

Type of screen list

Valuesblacklistdisabledwhitelist
outgoingScreenList
ScreenListChoosingEnum

Type of screen list

Valuesblacklistdisabledwhitelist
serviceName
read-only
string
—

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/screen/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"

List filtering rulesProduction

GET
/v1/telephony/{billingAccount}/screen/{serviceName}/screenLists

List filtering rules. Returns the identifiers of the call filtering rules of the service. Each rule allows or blocks a number.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200integer[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/screen/{serviceName}/screenLists \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a filtering ruleProduction

GET
/v1/telephony/{billingAccount}/screen/{serviceName}/screenLists/{id}

Get a filtering rule. Returns the call filtering rule: number, nature, list type (incoming or outgoing, whitelist or blacklist) and status.

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Response

200ScreenListsuccessful operation
callNumber
read-only
string
—
id
read-only
integer
—
nature
read-only
ScreenListNatureEnum

Nature of screen list

Valuesfaxinternationalservicesspecialvoicemail
status
read-only
string
—
type
read-only
ScreenListTypeEnum

Type of screen list

ValuesincomingBlackListincomingWhiteListoutgoingBlackListoutgoingWhiteList

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/screen/{serviceName}/screenLists/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "callNumber": "string", "id": 0, "nature": "fax", "status": "string", "type": "incomingBlackList"}

Create a filtering ruleProduction

POST
/v1/telephony/{billingAccount}/screen/{serviceName}/screenLists

Create a filtering rule. Creates a call filtering rule that allows or blocks a number or a nature of numbers (special, international, voicemail, services or fax), for incoming or outgoing calls.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

callNumber
string

The callNumber of the generic screen list

nature
required
ScreenListNatureEnum

The nature of the generic screen list

Valuesfaxinternationalservicesspecialvoicemail
type
required
ScreenListTypeEnum

The type of the generic screen list

ValuesincomingBlackListincomingWhiteListoutgoingBlackListoutgoingWhiteList

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/screen/{serviceName}/screenLists \
  -H "authorization: Bearer $OVH_TOKEN"

Delete a filtering ruleProduction

DELETE
/v1/telephony/{billingAccount}/screen/{serviceName}/screenLists/{id}

Delete a filtering rule. Deletes the call filtering rule. The number or nature of numbers it covered is no longer allowed or blocked by it.

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/screen/{serviceName}/screenLists/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

List time condition servicesProduction

GET
/v1/telephony/{billingAccount}/timeCondition

List time condition services. Returns the services of the billing account that support time conditions. A time condition routes calls by time slot.

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200string[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/timeCondition \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a time condition serviceProduction

GET
/v1/telephony/{billingAccount}/timeCondition/{serviceName}

Get a time condition service. Returns the time condition service. Its time conditions route calls by time slot.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200GenericScreensuccessful operation
serviceName
read-only
string
—

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/timeCondition/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "serviceName": "string"}

List time conditionsProduction

GET
/v1/telephony/{billingAccount}/timeCondition/{serviceName}/condition

List time conditions. Returns the identifiers of the time conditions of the service. A time condition routes calls by time slot.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200integer[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/timeCondition/{serviceName}/condition \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a time conditionProduction

GET
/v1/telephony/{billingAccount}/timeCondition/{serviceName}/condition/{id}

Get a time condition. Returns the time condition: day, start and end hours (hhmm), status, and the routing policy applied during the time slot.

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Response

200TimeConditionsuccessful operation
day
TimeConditionsDayEnum

Day of the time condition

Valuesfridayholidaymondaysaturdaysundaythursdaytuesdaywednesday
hourBegin
string
—
hourEnd
string
—
id
read-only
integer
—
policy
TimeConditionsPolicyEnum

Policy of the time condition

Valuesavailableslot1slot2slot3
status
string
—

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/timeCondition/{serviceName}/condition/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "day": "friday", "hourBegin": "string", "hourEnd": "string", "id": 0, "policy": "available", "status": "string"}

Create a time conditionProduction

POST
/v1/telephony/{billingAccount}/timeCondition/{serviceName}/condition

Create a time condition. Creates a time condition: a day (or holiday), start and end hours in hhmm format, and the routing policy to apply during that time slot.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

day
required
TimeConditionsDayEnum

The day of the time condition

Valuesfridayholidaymondaysaturdaysundaythursdaytuesdaywednesday
hourBegin
required
string

The hour where the time condition begins (format : hhmm)

hourEnd
required
string

The hour where the time condition ends (format : hhmm)

policy
required
TimeConditionsPolicyEnum

The policy

Valuesavailableslot1slot2slot3

Response

200TimeConditionsuccessful operation
day
TimeConditionsDayEnum

Day of the time condition

Valuesfridayholidaymondaysaturdaysundaythursdaytuesdaywednesday
hourBegin
string
—
hourEnd
string
—
id
read-only
integer
—
policy
TimeConditionsPolicyEnum

Policy of the time condition

Valuesavailableslot1slot2slot3
status
string
—

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/timeCondition/{serviceName}/condition \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "day": "friday", "hourBegin": "string", "hourEnd": "string", "id": 0, "policy": "available", "status": "string"}

Delete a time conditionProduction

DELETE
/v1/telephony/{billingAccount}/timeCondition/{serviceName}/condition/{id}

Delete a time condition. Deletes the time condition. Calls received during its time slot are no longer routed by its policy.

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/timeCondition/{serviceName}/condition/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Update a time conditionProduction

PUT
/v1/telephony/{billingAccount}/timeCondition/{serviceName}/condition/{id}

Update a time condition. Updates the day, the start and end hours (hhmm), the status and the routing policy (slot1, slot2, slot3 or available) of the time condition.

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Request body (required)

day
TimeConditionsDayEnum

Day of the time condition

Valuesfridayholidaymondaysaturdaysundaythursdaytuesdaywednesday
hourBegin
string
—
hourEnd
string
—
id
read-only
integer
—
policy
TimeConditionsPolicyEnum

Policy of the time condition

Valuesavailableslot1slot2slot3
status
string
—

Response

200—successful operation

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/timeCondition/{serviceName}/condition/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Get time condition optionsProduction

GET
/v1/telephony/{billingAccount}/timeCondition/{serviceName}/options

Get time condition options. Returns the time condition options of the service: status and routing outside time slots.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200TimeConditionOptionssuccessful operation
slot1Number
string

Number associated to the first slot action

slot1Type
TimeConditionsSlotTypeEnum

Action type executed when the first slot is used

Valuesnumbervoicemail
slot2Number
string

Number associated to the second slot action

slot2Type
TimeConditionsSlotTypeEnum

Action type executed when the second slot is used

Valuesnumbervoicemail
slot3Number
string

Number associated to the third slot action

slot3Type
TimeConditionsSlotTypeEnum

Action type executed when the third slot is used

Valuesnumbervoicemail
status
TimeConditionsGlobalStatusEnum

Status of time conditions

Valuesdeleteddisabledenabled
timeout
TimeConditionsTimeoutEnum

Timeout value of the time condition

Values51015202530354045505560657075808590
unavailableNumber
string

Number associated to the unavailable slot action

unavailableType
TimeConditionsSlotTypeEnum

Action type executed when the unavailable slot is used

Valuesnumbervoicemail

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/timeCondition/{serviceName}/options \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "slot1Number": "string", "slot1Type": "number", "slot2Number": "string", "slot2Type": "number", "slot3Number": "string", "slot3Type": "number", "status": "deleted", "timeout": 5, "unavailableNumber": "string", "unavailableType": "number"}

Update time condition optionsProduction

PUT
/v1/telephony/{billingAccount}/timeCondition/{serviceName}/options

Update time condition options. Updates the time condition options: global status, the action (voicemail or number) of each slot and when unavailable, and the timeout.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

slot1Number
string

Number associated to the first slot action

slot1Type
TimeConditionsSlotTypeEnum

Action type executed when the first slot is used

Valuesnumbervoicemail
slot2Number
string

Number associated to the second slot action

slot2Type
TimeConditionsSlotTypeEnum

Action type executed when the second slot is used

Valuesnumbervoicemail
slot3Number
string

Number associated to the third slot action

slot3Type
TimeConditionsSlotTypeEnum

Action type executed when the third slot is used

Valuesnumbervoicemail
status
TimeConditionsGlobalStatusEnum

Status of time conditions

Valuesdeleteddisabledenabled
timeout
TimeConditionsTimeoutEnum

Timeout value of the time condition

Values51015202530354045505560657075808590
unavailableNumber
string

Number associated to the unavailable slot action

unavailableType
TimeConditionsSlotTypeEnum

Action type executed when the unavailable slot is used

Valuesnumbervoicemail

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/telephony/{billingAccount}/timeCondition/{serviceName}/options \
  -H "authorization: Bearer $OVH_TOKEN"